Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.complex
Class DefaultComplexElement

    java.lang.Object
      |
      +--uk.ac.man.bioinf.sequence.complex.DefaultComplexElement

All Implemented Interfaces:
  ComplexElement, Element

public class DefaultComplexElement
extends Object
implements ComplexElement

DefaultComplexElement.java Created: Mon Feb 28 20:42:48 2000

Version:
  $Id: DefaultComplexElement.java,v 1.6 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Method Summary
`boolean` | `equals(Object obj)`
`Modification[]` | `getModifications()`
`Residue` | `getResidue()`
`int` | `hashCode()`
`boolean` | `isModified(Modification mod)`
`char` | `toChar()` Returns a character representation of this element.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### toChar

    public char toChar()

  Description copied from interface: `Element`
  Returns a character representation of this element. This may be non-alphanumeric, and should be unique within a SequenceType.

  Specified by:
    `toChar` in interface `Element`
  Returns:
    the char representation
  See Also:
    `SequenceType`

### getResidue

    public Residue getResidue()

  Specified by:
    `getResidue` in interface `ComplexElement`

### getModifications

    public Modification[] getModifications()

  Specified by:
    `getModifications` in interface `ComplexElement`

### isModified

    public boolean isModified(Modification mod)

  Specified by:
    `isModified` in interface `ComplexElement`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD